# controller.h File Reference

## Detailed Description

High level BlackBerry API class.

Definition in file controller.h.

`#include "dll.h"`
`#include "usbwrap.h"`
`#include "socket.h"`
`#include "pin.h"`
`#include "probe.h"`

Include dependency graph for controller.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::Controller
| The main interface class. More...